import type { Extension, DesktopUI } from './extension';
import type { Host } from './host';
import type { Docker } from './docker';
export * from './docker';
export * from './exec';
export * from './extension';
export * from './host';
export * from './http-service';
export * from './navigation-intents';
export * from './toast';
export interface DockerDesktopClient {
    /**
     * The `ddClient.extension` object can be used to communicate with the backend defined in the vm section in the extensions metadata.
     * The client is already connected to the backend.
     */
    readonly extension: Extension;
    readonly desktopUI: DesktopUI;
    readonly host: Host;
    readonly docker: Docker;
}
